# TODO: Switch to python3

%define 	module	eric6
Summary:	Eric6 - a full featured Python IDE
Summary(pl.UTF-8):	Eric6 - pełnowartościowe IDE dla Pythona
# Name must match the python module/package name (as on pypi or in 'import' statement)
Name:		eric6
Version:	6.1.10
Release:	1
License:	GPL v3
Group:		Libraries/Python
Source0:	https://sourceforge.net/projects/eric-ide/files/eric6/stable/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b08a7669c6d2bb55e32e1bf1b82646f9
URL:		http://eric-ide.python-projects.org/index.html
BuildRequires:	rpm-pythonprov
# for the py_build, py_install macros
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpmbuild(macros) >= 1.714
# NOTE: As for 6.1.8  eric6 still tries to import PyQt5 while having PyQt4 leading to crash
# 	http://die-offenbachs.homelinux.org:48888/issues/issue204
# for --pyqt=4
# BuildRequires:	python-PyQt4-qscintilla2
# BuildRequires:	python-PyQt4-uic
# for --pyqt=5
BuildRequires:	python-PyQt5-qscintilla2
BuildRequires:	python-PyQt5-uic
Requires:	python-PyQt5-qscintilla2
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eric is a Python IDE written using PyQt and QScintilla. It provides
various features such as any number of open editors, an integrated
(remote) debugger, project management facilities, unit test,
refactoring and much more.

%description -l pl.UTF-8
Eric jest pythonowym graficznym środowiskiem programistycznym
używającym PyQt i QScintilla.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
python install.py -z -c -b %{_bindir} -d %{py_sitescriptdir} -i $RPM_BUILD_ROOT  --pyqt=5
mkdir $RPM_BUILD_ROOT%{_datadir}/appdata
mv $RPM_BUILD_ROOT%{_datadir}/metainfo/eric6.appdata.xml $RPM_BUILD_ROOT%{_datadir}/appdata

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/%{module}
%attr(755,root,root) %{_bindir}/eric6
%attr(755,root,root) %{_bindir}/eric6_*
# for --pyqt=4
# %{_datadir}/qt4/qsci/api/qss/
# %{_datadir}/qt4/qsci/api/ruby/
# NOTE: file %{_datadir}/qt4/qsci/api/ruby/Ruby-1.8.7.api from install of eric6-6.1.8-0.1.noarch conflicts with file from package eric4-4.5.24-3.noarch
# %{_datadir}/qt4/qsci/api/python/eric6.*
# %{_datadir}/qt4/qsci/api/python/zope-*.api

# for --pyqt=5
%{_datadir}/qt5/qsci/api/qss/
%{_datadir}/qt5/qsci/api/ruby/
%{_datadir}/qt5/qsci/api/python/eric6.*
%{_datadir}/qt5/qsci/api/python/zope-*.api

%{_pixmapsdir}/eric*.png
%{_desktopdir}/eric6.desktop
%{_desktopdir}/eric6_webbrowser.desktop
%{_datadir}/appdata/eric6.appdata.xml
%{py_sitescriptdir}/eric6config.py
%{py_sitescriptdir}/eric6plugins
%changelog
* Sun Oct 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eric6.git;a=log;h=master

* Mon Oct 10 2016 Mateusz Korniak <matkor@pld-linux.org> 4fe3d75
- Release 1. Works for me.

* Mon Oct 10 2016 Mateusz Korniak <matkor@pld-linux.org> a9909cc
- Version 6.1.10
Moved eric6.appdata.xml to %{_datadir}/appdata/

* Wed Sep 21 2016 Mateusz Korniak <matkor@pld-linux.org> 2758d54
- Version 6.1.9

* Fri Sep 02 2016 Mateusz Korniak <matkor@pld-linux.org> d5275b1
- Release 1. Works for me.

* Fri Sep 02 2016 Mateusz Korniak <matkor@pld-linux.org> 15c587b
- Killed rest of py2/3 ifs.

* Thu Sep 01 2016 Mateusz Korniak <matkor@pld-linux.org> 5c2f16b
- Adapterized.

* Thu Sep 01 2016 Mateusz Korniak <matkor@pld-linux.org> e2cab00
- Initial version 6.1.8.

